## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate ron

Name:           rust-ron
Version:        0.8.0
Release:        %autorelease
Summary:        Rusty Object Notation

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/ron
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop missing option_set dev-dependency
Patch:          ron-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Rusty Object Notation.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+indexmap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+indexmap-devel %{_description}

This package contains library source intended for building other packages which
use the "indexmap" feature of the "%{crate}" crate.

%files       -n %{name}+indexmap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+integer128-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+integer128-devel %{_description}

This package contains library source intended for building other packages which
use the "integer128" feature of the "%{crate}" crate.

%files       -n %{name}+integer128-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# drop the only test that requires the option_set crate
rm tests/152_bitflags.rs
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Mar 15 2023 Fabio Valentini <decathorpe@gmail.com> - 0.8.0-1
- Update to version 0.8.0; Fixes RHBZ#2118633

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Jul 24 2022 Fabio Valentini <decathorpe@gmail.com> - 0.7.1-1
- Update to version 0.7.1; Fixes RHBZ#2097258

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 01 2022 Fabio Valentini <decathorpe@gmail.com> - 0.7.0-2
- Skip a unit test that fails with Rust 1.61+

* Thu Jan 27 2022 Fabio Valentini <decathorpe@gmail.com> - 0.7.0-1
- Update to version 0.7.0; Fixes RHBZ#2016604

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 30 2021 Fabio Valentini <decathorpe@gmail.com> - 0.6.5-1
- Update to version 0.6.5; Fixes RHBZ#2002782

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 29 2020 Fabio Valentini <decathorpe@gmail.com> - 0.6.4-1
- Update to version 0.6.4.
- Fixes RHBZ#1908993

* Fri Sep 11 2020 Josh Stone <jistone@redhat.com> - 0.6.2-1
- Update to 0.6.2

* Wed Aug 26 2020 Josh Stone <jistone@redhat.com> - 0.6.1-1
- Update to 0.6.1

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu May 21 2020 Josh Stone <jistone@redhat.com> - 0.6.0-1
- Update to 0.6.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun May 12 08:30:37 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.1-2
- Update serde_bytes to 0.11

* Sat Apr 27 23:09:55 EEST 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.1-1
- Initial package

